API referenceOrder
POST /api/Order/GetOrderActivities
Returns the activity timeline (created, status changed, sent to external system, external events) for the provided Order IDs.
POST
/api/Order/GetOrderActivitiescurl -X POST "/api/Order/GetOrderActivities" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of Order activities.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.OrderActivityDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"orderId": 0,
"activityType": 0,
"activityTypeName": "string",
"message": "string",
"systemName": "string",
"createdAt": "2026-01-15T09:30:00Z",
"createdBy": "string"
}
]
}